Index: branches/LMDZ_WRFmeas/WRFV3/run/config.def
===================================================================
--- branches/LMDZ_WRFmeas/WRFV3/run/config.def	(revision 270)
+++ branches/LMDZ_WRFmeas/WRFV3/run/config.def	(revision 411)
@@ -14,9 +14,9 @@
 ok_regdyn=y
 # A transformer en la ligne ci-dessous quand ce sera compatible avec libIGCM
-phys_out_filekeys=       y       y       n       y       n
-phys_out_filenames=      histmth histday histhf  histins histLES
-phys_out_filetimesteps=  5day   1day    1hr     3hr     6hr
-phys_out_filelevels=     10      10      0       10       4
-phys_out_filetypes=      ave(X)  ave(X)  ave(X)  inst(X) inst(X)
+phys_out_filekeys=       y       y       n       y       n        n
+phys_out_filenames=      histmth histday histhf  histins histLES  histstations
+phys_out_filetimesteps=  5day    1day    1hr     1hr     6hr      15mn
+phys_out_filelevels=     10      10      0       10      4        10
+phys_out_filetypes=      ave(X)  ave(X)  ave(X)  inst(X) inst(X)  inst(x)
 
 #
Index: branches/LMDZ_WRFmeas/WRFV3/run/gcm.def
===================================================================
--- branches/LMDZ_WRFmeas/WRFV3/run/gcm.def	(revision 270)
+++ branches/LMDZ_WRFmeas/WRFV3/run/gcm.def	(revision 411)
@@ -1,9 +1,9 @@
 ## $Id: gcm.def 1403 2010-07-01 09:02:53Z fairhead $
 ## nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
-day_step=144
+day_step=8640
 ## periode pour le pas Matsuno (en pas)
-iperiod=6
+iperiod=5
 ## periode de la dissipation (en pas)
-idissip=6
+idissip=5
 ## choix de l'operateur de dissipation (star ou  non star )
 lstardis=y
@@ -15,9 +15,9 @@
 niterh=2
 ## temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
-tetagdiv=18000.
+tetagdiv=300.
 ## temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
-tetagrot=18000.
+tetagrot=300.
 ## temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
-tetatemp=18000.
+tetatemp=300.
 ## period appel a la dissipation (multiple iperiod, 0 si calcul automatique)
 dissip_period=0
@@ -30,17 +30,17 @@
 ## 1: avec physique (e.g. physique phylmd)
 ## 2: avec rappel newtonien dans la dynamique                                         
-iflag_phys=76
+iflag_phys=1
 ## avec ou sans fichiers de demarrage (start.nc, startphy.nc) ?
 ## (sans fichiers de demarrage, initialisation des champs par iniacademic
 ##  dans la dynamique)
-read_start=n
+read_start=y
 ## periode de la physique (en pas dynamiques, n'a de sens que si iflag_phys=1)                                       
-iphysiq=1
+iphysiq=20
 # Nombre de sous pas de temps pour la physique
 nsplit_phys=1
 ##  Avec ou sans strato
-ok_strato=n
+ok_strato=y 
 #  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
-iflag_top_bound=0
+iflag_top_bound=2
 #  Coefficient pour la couche eponge (valeur derniere couche)
 tau_top_bound=5.e-5
Index: branches/LMDZ_WRFmeas/WRFV3/run/orchidee.def
===================================================================
--- branches/LMDZ_WRFmeas/WRFV3/run/orchidee.def	(revision 270)
+++ branches/LMDZ_WRFmeas/WRFV3/run/orchidee.def	(revision 411)
@@ -1,63 +1,122 @@
 #
-#
-# Parameter file for LMDZ4OR_v2 configuration
-# See comments : http://forge.ipsl.jussieu.fr/orchidee/
-#
-STOMATE_OK_CO2=TRUE
-# STOMATE_OK_STOMATE is not set
-# STOMATE_OK_DGVM is not set
-# STOMATE_WATCHOUT is not set
-SECHIBA_restart_in=start_sech.nc
-SECHIBA_rest_out=restart_sech.nc
-SECHIBA_reset_time=y
-#
-OUTPUT_FILE=sechiba_out.nc
-WRITE_STEP=2592000
-SECHIBA_HISTLEVEL=5
-#
-SECHIBA_HISTFILE2 = FALSE
-SECHIBA_OUTPUT_FILE2 = sechiba_out_2.nc
-WRITE_STEP2 = 86400.0
-SECHIBA_HISTLEVEL2 = 1
-#
-STOMATE_OUTPUT_FILE=stomate_history.nc
-STOMATE_HIST_DT=10.
-STOMATE_HISTLEVEL=0
-SECHIBA_DAY=0.0
-SECHIBA_ZCANOP=0.5
-DT_SLOW=86400.
-# IMPOSE_VEG is not set
-VEGETATION_FILE=carteveg5km.nc
-# VEGETATION_FILE=pft_new.nc
-DIFFUCO_LEAFCI=233.
-CONDVEG_SNOWA=default
-# IMPOSE_AZE is not set
-SOILALB_FILE=soils_param.nc
-SOILTYPE_FILE=soils_param.nc 
-ENERBIL_TSURF=280.
-HYDROL_SNOW=0.0
-HYDROL_SNOWAGE=0.0
-HYDROL_SNOWICE=0.0
-HYDROL_SNOWICEAGE=0.0
-HYDROL_HDRY=1.0
-HYDROL_HUMR=1.0
-HYDROL_BQSB=default
-HYDROL_GQSB=0.0
-HYDROL_DSG=0.0
-HYDROL_DSP=default
-HYDROL_QSV=0.0
-HYDROL_OK_HDIFF=n
-HYDROL_TAU_HDIFF=1800.
-THERMOSOIL_TPRO=280.
-RIVER_ROUTING=y
-ROUTING_FILE=routing.nc
-LAI_MAP=y
-LAI_FILE=lai2D.nc
-SECHIBA_QSINT=0.02
-ALB_BARE_MODEL = FALSE
-PERCENT_THROUGHFALL_PFT = 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30.
-RVEG_PFT = .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5
-CDRAG_FROM_GCM = .TRUE.
-#LAND_USE=y
-#VEGET_YEAR=0
-#VEGET_UPDATE=1Y
+#**************************************************************************
+#                    Parameter file list for ORCHIDEE
+#**************************************************************************
+
+# Input and output
+#**************************************************************************
+# Restart the time from the GCM. 
+# default = n
+SECHIBA_reset_time = y
+
+# Name of restart to read for initial conditions
+# default = NONE
+SECHIBA_restart_in = NONE 
+
+# Name of restart to read for initial conditions of STOMATE
+# default = NONE
+STOMATE_RESTART_FILEIN = NONE
+
+# Use XIOS for writing diagnostics file
+# defulat = n
+XIOS_ORCHIDEE_OK = n
+
+# Flag to activate sechiba_out_2.nc history file for SECHIBA
+# default  = FALSE
+SECHIBA_HISTFILE2 = y
+
+# SECHIBA history output level (0..10)
+# default = 5
+SECHIBA_HISTLEVEL = 5
+
+# SECHIBA history 2 output level (0..10)
+# default = 1
+SECHIBA_HISTLEVEL2 = 5
+
+# STOMATE history output level (0..10)
+# default = 10
+STOMATE_HISTLEVEL = 5
+
+# Writefrequency in seconds in sechiba_history.nc
+# default = 86400.0
+WRITE_STEP = 86400.0
+
+# Writefrequency in seconds sechiba_out_2.nc 
+# default = 1800.0
+WRITE_STEP2 = 3600.0
+
+# Writefrequency in days in stomate_history.nc
+# default = 10.
+STOMATE_HIST_DT = 1
+
+# Writefrequency in days or -1 for monthly output in stomate_ipcc_history.nc
+# default = 0.
+STOMATE_IPCC_HIST_DT = -1
+
+
+# Hydrology parameters
+#**************************************************************************
+# Activate the multi-layer diffusion scheme adapted from CWRR
+# by default the Choisnel hydrology is used.
+# default = n
+HYDROL_CWRR = n 
+
+# Total depth of soil reservoir
+# default = 2./4. depending on HYDROL_CWRR
+HYDROL_SOIL_DEPTH = 4.
+
+# Root profile
+HYDROL_HUMCSTE = 5., .4, .4, 1., .8, .8, 1., 1., .8, 4., 1., 4., 1.
+
+# Activate river routing
+# default = n
+RIVER_ROUTING = n
+
+
+#**************************************************************************
+# Activate Stomate component
+# default = n
+STOMATE_OK_STOMATE = y 
+
+# Activate calculations of CO2 according to Farqhuar and Ball
+# default = n
+STOMATE_OK_CO2 = y
+
+# Use cdrag coefficient from gcm
+CDRAG_FROM_GCM = y
+
+# Interception reservoir coefficient.
+# default = 0.1
+SECHIBA_QSINT = 0.02
+
+# Parmeters related to vegetation map
+#**************************************************************************
+# Read a land_use vegetation map
+# default = n
+LAND_USE = y
+
+# Year of the land_use vegetation map readed
+# year off the pft map
+# default = 282
+VEGET_YEAR = 1
+
+# The parameter is used to bypass veget_year count 
+# and reinitialize it with VEGET_YEAR parameter.
+# Then it is possible to change LAND USE file.
+# If LAND_USE
+# default = y
+VEGET_REINIT = n
+
+# Update vegetation frequency (since 2.0 version)
+# The veget datas will be update at this period if LAND_USE
+# default = 1Y
+VEGET_UPDATE = 0Y
+
+# treat land use modifications
+# With this variable, you can use a Land Use map
+# to simulate anthropic modifications such as   
+# deforestation.                                
+# If LAND_USE
+# default = y
+LAND_COVER_CHANGE = n
+
Index: branches/LMDZ_WRFmeas/WRFV3/run/physiq.def
===================================================================
--- branches/LMDZ_WRFmeas/WRFV3/run/physiq.def	(revision 270)
+++ branches/LMDZ_WRFmeas/WRFV3/run/physiq.def	(revision 411)
@@ -11,5 +11,5 @@
 f_cdrag_stable=1.
 f_cdrag_ter=1.
-f_cdrag_oce=0.8
+f_cdrag_oce=0.7
 #cdmmax
 cdmmax=2.5E-3
@@ -32,17 +32,17 @@
 #******************
 #seuils de la precipitation des nuages strateformes (D: 2.6e-4 2.6e-4)
-cld_lc_lsc=4.16e-4
-cld_lc_con=4.16e-4
+cld_lc_lsc=6e-4
+cld_lc_con=6e-4
 #constante de temps pour eleminer eau lsc et convective (D: 3600. 3600.)
 cld_tau_lsc=1800.
 cld_tau_con=1800.
 #facteurs correctifs sur la vitesse de chute des cristaux de glace (D: 1 1)
-ffallv_lsc=0.5
-ffallv_con=0.5
+ffallv_lsc=1.35
+ffallv_con=1.35
 #coefficient sur la reevaporation de la pluie (D: 2.e-5 n)
-coef_eva=2e-5
+coef_eva=1e-4
 reevap_ice=y
 #calcul des proprietes des nuages convectifs (D:1 0.375 1.e-4) 
-iflag_cldcon=3
+iflag_cldcon=6
 fact_cldcon=1.
 facttemps=0.
@@ -51,7 +51,7 @@
 #calcul epaisseur optique et emmissivite des nuages (D: y 1 0.01 0.3)
 ok_newmicro=y
-iflag_ratqs=0
-ratqsbas=0.005
-ratqshaut=0.33
+iflag_ratqs=2
+ratqsbas=0.002
+ratqshaut=0.25
 #rayon effectif pour les nuages de glace (D:35)
 rad_froid=35
@@ -62,4 +62,10 @@
 new_oliq=y
 #
+rei_min=20.
+rei_max=61.29
+#
+t_glace_min=258.
+t_glace_max=273.13
+#
 # Flags Convection 
 #*****************
@@ -69,17 +75,19 @@
 if_ebil=0
 #efficacite de precepitation maxim (D:.993)
-epmax=0.999
+epmax=0.997
 #ajustement convectif sec au debut de la convection (D: n 0)
 ok_adj_ema=n
-iflag_clw=1
-#fermeture convective (D:1, 1:AR4, 2:ALE and ALP)
-iflag_clos=1
-#loi de melange a l entrainement  (D:1, 0: plate, 1=AR4:PDF)
+iflag_clw=0
+#fermeture convective (D:1, 0:AR4, 2:ALE and ALP)
+iflag_clos=2
+#loi de melange a l entrainement  (D:1, 0:AR4=PDF plate, 1=PDF)
 iflag_mix=1
 #poids des PDFs plate et en cloche (D: 1 0)
-qqa1=0.
-qqa2=1.
+qqa1=1.
+qqa2=0.
 # Facteur multiplication des precip convectives dans KE
 cvl_corr=1.0
+#
+Fmax=0.65
 #
 # Flags Couche limite
@@ -90,5 +98,5 @@
 nsplit_thermals=1
 tau_thermals=0.
-iflag_thermals_ed=0
+iflag_thermals_ed=10
 iflag_thermals_optflux=0
 #shema de la couche de surface (D:1, 1:LMD, 8:Mellor-Yamada) 
@@ -99,12 +107,30 @@
 #ok_kzmin : calcul Kzmin dans la CL de surface
 ok_kzmin=y
-#couplage ou non avec la convection (0:AR4 et 1:nouvelle physique)
-iflag_coupl=0 
+#couplage ou non avec la convection
+iflag_coupl=5 (0:AR4 et 1:nouvelle physique)
 seuil_inversion=-0.08
-
+#rendement sur la puissance fournie par les thermiques a la convection
+alp_bl_k=0.5
+#
 # Flags wakes
 #************
 #activation ou non des wakes (D:0, 0:AR4, 1:nouvelle physique) 
 iflag_wake=0
-alp_offset=-0.2
+alp_offset=0.
 
+### nrlmd le 10/04/2012: Declenchement ###
+#Déclelenchement par couche-limite (0: deterministe, 1: stochastique)
+iflag_trig_bl=0
+#Surface critique au LCL
+s_trig=1.2e7
+#Temps de decorrelation entre scenes de cumulus
+tau_trig_shallow=600
+#Temps de decorrelation entre scenes de cumulonimbus
+tau_trig_deep=1800
+### fin nrlmd le 10/04/2012
+
+### nrlmd le 10/04/2012: Fermeture ###
+#Fermeture par couche-limite (0: deterministe, 1: statistique, 2: statistique+convergence grande échelle)
+iflag_clos_bl=0
+### fin nrlmd le 10/04/2012
+
Index: branches/LMDZ_WRFmeas/WRFV3/run/run.def
===================================================================
--- branches/LMDZ_WRFmeas/WRFV3/run/run.def	(revision 270)
+++ branches/LMDZ_WRFmeas/WRFV3/run/run.def	(revision 411)
@@ -12,5 +12,5 @@
 ip_ebil_phy=1
 ip_ebil_dyn=1
-calend=earth_366d
+calend=earth_365d
 ## Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
 dayref=13
@@ -30,5 +30,5 @@
 periodav= 5.
 # Values of solarlong0 are all defaults
-#solarlong0 = 0 
+solarlong0 = 0 
 ## activation du calcul d equilibrage de charge
 adjust=n